petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatPartitioningChacoSetLocal

Set local method for Chaco partitioner.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetLocal(MatPartitioning part,MPChacoLocalType method)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| method | - one of MP_CHACO_KERNIGHAN or MP_CHACO_NONE

### Options Database

-mat_partitioning_chaco_local <method> -the local method

### Notes

The default is to apply the Kernighan-Lin heuristic. See Chaco documentation for additional details.

### See Also

MatPartitioningChacoSetGlobal(),MatPartitioningChacoGetLocal()

Level:advanced
Location:src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages